import React__default from 'react';
import { IconBlankCsvOutline } from '../../_Icon/Icons/IconBlankCsvOutline.js';
import { IconBlankDocOutline } from '../../_Icon/Icons/IconBlankDocOutline.js';
import { IconBlankOutline } from '../../_Icon/Icons/IconBlankOutline.js';
import { IconBlankPdfOutline } from '../../_Icon/Icons/IconBlankPdfOutline.js';
import { IconBlankTxtOutline } from '../../_Icon/Icons/IconBlankTxtOutline.js';
import { IconBlankXlsOutline } from '../../_Icon/Icons/IconBlankXlsOutline.js';
import { tokens } from '../File.tokens.js';

var getFileIcon = function getFileIcon(extension, size) {
  var iconSize = size === 'xs' ? 'xs' : 's';
  switch (extension) {
    case 'pdf':
      return /*#__PURE__*/React__default.createElement(IconBlankPdfOutline, {
        size: iconSize,
        sizeCustomProperty: tokens.fileThumbSize,
        color: "inherit"
      });
    case 'doc':
      return /*#__PURE__*/React__default.createElement(IconBlankDocOutline, {
        size: iconSize,
        sizeCustomProperty: tokens.fileThumbSize,
        color: "inherit"
      });
    case 'docx':
      return /*#__PURE__*/React__default.createElement(IconBlankDocOutline, {
        size: iconSize,
        sizeCustomProperty: tokens.fileThumbSize,
        color: "inherit"
      });
    case 'xls':
      return /*#__PURE__*/React__default.createElement(IconBlankXlsOutline, {
        size: iconSize,
        sizeCustomProperty: tokens.fileThumbSize,
        color: "inherit"
      });
    case 'xlsx':
      return /*#__PURE__*/React__default.createElement(IconBlankXlsOutline, {
        size: iconSize,
        sizeCustomProperty: tokens.fileThumbSize,
        color: "inherit"
      });
    case 'txt':
      return /*#__PURE__*/React__default.createElement(IconBlankTxtOutline, {
        size: iconSize,
        sizeCustomProperty: tokens.fileThumbSize,
        color: "inherit"
      });
    case 'csv':
      return /*#__PURE__*/React__default.createElement(IconBlankCsvOutline, {
        size: iconSize,
        sizeCustomProperty: tokens.fileThumbSize,
        color: "inherit"
      });
    default:
      return /*#__PURE__*/React__default.createElement(IconBlankOutline, {
        size: iconSize,
        sizeCustomProperty: tokens.fileThumbSize,
        color: "inherit"
      });
  }
};

export { getFileIcon };
